> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List boms

> List boms

### Query parameters

<ParamField query="product_id" type="string" />

<ParamField query="status" type="string" />

<ParamField query="search" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="BomListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/boms' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "boms": [
      {
        "bom_number": "string",
        "component_count": 1,
        "created_at": "string",
        "description": null,
        "id": "string",
        "name": "string",
        "product_id": "string",
        "revision": "string",
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
